Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class MonthSelector.Month

    java.lang.Object
      portlets.compoze.groupware.calendar.MonthSelector.Month

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MonthSelector

public static class MonthSelector.Month
extends java.lang.Object
implements java.io.Serializable

This class represents a month in the selector.

See Also:
  Serialized Form

Method Summary
`java.util.Date` | `getDate()` Gets the date.
`int` | `getMonth()` Gets the month.
`java.lang.String` | `getMonthString()` Gets the localized string for the month.
`java.lang.String` | `getMonthString(int iFieldWidth)` Gets the localized string for the month.
`java.lang.String` | `getMonthString(int iFieldWidth, java.util.Locale locale)` Gets the localized string for the month.
`boolean` | `isSelected()` Checks if this month is the selected given date from the selector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMonth

    public int getMonth()

  Gets the month.

  Returns:
    the month

### getDate

    public java.util.Date getDate()

  Gets the date.

  Returns:
    the date

### isSelected

    public boolean isSelected()

  Checks if this month is the selected given date from the selector.

  Returns:
    `true` if this month is the selected given date from the selector; `false` otherwise

### getMonthString

    public java.lang.String getMonthString()

  Gets the localized string for the month.

  Returns:
    the localized string for the month

### getMonthString

    public java.lang.String getMonthString(int iFieldWidth)

  Gets the localized string for the month.

  Parameters:
    `iFieldWidth` - the width of month field
  Returns:
    the localized string for the month

### getMonthString

    public java.lang.String getMonthString(int iFieldWidth,
                                           java.util.Locale locale)

  Gets the localized string for the month.

  Parameters:
    `iFieldWidth` - the width of month field
    `locale` - the locale (may not be `null`)
  Returns:
    the localized string for the month

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.